#ifndef __DVB_SUBTITLES_PAGE_H
#define __DVB_SUBTITLES_PAGE_H
#include "dec.h"
#include <list>

class cSubtitle;
typedef std::list<cSubtitle*> SubtitleList;

class cSubtitlesPage 
{
public:
  cSubtitlesPage( RegionList regions, int64_t pts, int timeout );
  ~cSubtitlesPage();
  int64_t GetPts() { return iPts; }
  SubtitleList GetSubtitles() { return iSubtitles; }
  int GetTimeout() { return iTimeout; }
private:
  SubtitleList iSubtitles;
  int64_t   iPts;
  static uint64_t debug;
  uint64_t object_id;
  int        iTimeout;
};

#endif //__DVB_SUBTITLES_PAGE_H
